Subject: Re: [RFC] [PATCH] remote: add new --fetch option for set-url

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Nov 2014 12:29:47 -0800

Jeff King <[email-masked]> writes:

> I dunno. I guess that is more convenient, but it seems like a lot of
> code for a very marginal use case. But more importantly, I'm a little
> worried that the presence of --fetch creates confusion about what
> set-url without a --fetch or --push does. That is, it implies to me
> that:
>
>   git remote add gh old-url
>   git remote set-url gh --push push-url
>   git remote set-url gh new-url
>
> would replace both the "url" _and_ "pushurl" values in the third step,
> since we did not specify --fetch.  But it is in fact identical whether
> you run it with "--fetch" or not.  That is, it creates a weirdly
> non-orthogonal interface.

Yes, the semantics the updated code gives feel very strange.  I
wouldn't be able to write a three-line summary in the release notes
to advertise what good this new feature brings to users myself.